Mojave and version 6

Anything beyond the basics in using the LiveCode language. Share your handlers, functions and magic here.

Moderators: Klaus, FourthWorld, heatherlaine, robinmiller, kevinmiller

Post Reply
thehat
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 25
Joined: Mon Apr 16, 2007 5:32 am
Location: Valencia, California USA
Contact:

Mojave and version 6

Post by thehat » Tue Oct 09, 2018 5:01 pm

Hi,
I still use LiveCode 6.1.3. Does anybody know if 6.1.3 is having trouble with Mojave?
Thanks!

bogs
Posts: 2371
Joined: Sat Feb 25, 2017 10:45 pm

Re: Mojave and version 6

Post by bogs » Wed Oct 10, 2018 3:02 pm

That is a good question, while I don't use OSX as an environment other than for testing, I thought Apple was moving to 64bit only and removing the ability to run 32bit software from the OS ? I hope someone that knows can chime in, although the chances that I'll ever run an OSX later than 10.6.5 are slim to none.
Image

Klaus
Posts: 10472
Joined: Sat Apr 08, 2006 8:41 am
Location: Germany
Contact:

Re: Mojave and version 6

Post by Klaus » Wed Oct 10, 2018 3:21 pm

Hi thehat,

I run macOS 10.14 and for one customer I use LC 5.02 and had no problems so far.


Best

Klaus

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 507
Joined: Fri Feb 06, 2015 4:03 pm

Re: Mojave and version 6

Post by LiveCode_Panos » Thu Oct 11, 2018 10:44 am

Hi all,

A couple of other users have reported using LC 6.x on MacOS Mojave without any problems.

Best,
Panos
--

bogs
Posts: 2371
Joined: Sat Feb 25, 2017 10:45 pm

Re: Mojave and version 6

Post by bogs » Thu Oct 11, 2018 1:16 pm

Thanks Klaus and Panos, good to know :D
Image

simon.schvartzman
Posts: 186
Joined: Tue Jul 29, 2014 12:52 am
Location: Brazil

Re: Mojave and version 6

Post by simon.schvartzman » Mon Oct 22, 2018 11:06 pm

What about Mojave and LC 9.0.1, has it been tested?

Need to know before updating my Mac.

Thanks
Simon

thatkeith
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 231
Joined: Mon Mar 01, 2010 7:13 pm
Location: London, UK

Re: Mojave and version 6

Post by thatkeith » Tue Nov 06, 2018 10:49 am

LC 9.0.1 works fine in Mojave for me. 32-bit apps in general work fine, although you’ll see a one-time warning when launching them.

However much someone might dislike and perhaps mistrust OS updates, sticking with an old OS version is only a good idea if they don’t make software for others to use. The next major macOS update might change this ‘32-bit tolerance’ and force the issue – if not that version then certainly the one after that.
Senior Lecturer, LCC (University of the Arts London)
Technical Editor, MacUser (1996-2015)
President, IVRPA.org

Post Reply

Return to “Talking LiveCode”